com.verisign.epp.framework

## Class EPPHandleEventException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.verisign.epp.exception.EPPException
      - - com.verisign.epp.framework.EPPHandleEventException

- All Implemented Interfaces:
    java.io.Serializable

      public class EPPHandleEventException
      extends EPPException

  The `EPPHandleEventException` class is used by `EPPEventHandlers` to hold `EPPResponses` when errors occur when handling EPP Commmands.
  Version:
    $Revision: 1.2 $
  Author:
    $Author: jim $
  See Also:
    `EPPEventHandler`, `EPPEvent`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPHandleEventException(java.lang.String description, EPPResponse aResponse)` Construct an `EPPHandleEventException`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EPPResponse` | `getResponse()` Get the `EPPResponse` for this `EPPHandleEventExcetion` instance

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPHandleEventException

          public EPPHandleEventException(java.lang.String description,
                                         EPPResponse aResponse)

      Construct an `EPPHandleEventException`
      Parameters:
        `description` - Any debug information
        `aResponse` - The EPPResponse to contain

  - ### Method Detail

    - #### getResponse

          public EPPResponse getResponse()

      Get the `EPPResponse` for this `EPPHandleEventExcetion` instance
      Returns:
        EPPResponse The response to return

Copyright © VeriSign Inc. All Rights Reserved.